> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.12/rest-api/knowledge-base/duplicate-document.md).

# Duplicate document

Duplicate document in Knowledge base.

## Request <a href="#request" id="request"></a>

### Url

```
PUT 
https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/duplicate
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

```
No parameters are required for this endpoint.
```

### Body

```json
{
    "path": "/folder"
}
```

The request body is in JSON format contain following properties:

* `path` (string, required): Destination path (to duplicate file inside it)

***

## Response&#x20;

```json
{
    "id": "683630c11173dda..."
}
```

The response is in JSON format contain following properties:

* `id` (string): Document id

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests
import json

url = "https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/duplicate"

payload = json.dumps({
  'path': '/folder'
})
headers = {
  'Authorization': '••••••'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location 'https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/duplicate' \
--header 'Authorization: ••••••' \
--data '{
    "path": "/folder"
}'
```

{% endtab %}
{% endtabs %}
